A table containing firewall rules to allow SNMP access.
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.5.6
A table containing firewall rules to allow SNMP access.
Identification
{1 3 6 1 4 1 248 51 5 6}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecSNMPFWRuleTable OBJECT-TYPE
SYNTAX SEQUENCE OF HmSecSNMPFWRuleEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A table containing firewall rules to allow SNMP access."
::= { hmSecSNMP 6 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
A table containing firewall rules to allow SNMP access.
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecSNMPFWRuleTable
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecSNMPFWRuleTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"HmSecSNMPFWRuleEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A table containing firewall rules to allow SNMP access.\"",
"::=",
"{",
"hmSecSNMP",
"6",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"HmSecSNMPFWRuleEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A table containing firewall rules to allow SNMP access."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.5.6.1 | hmSecSNMPFWRuleEntry | 7 | 7 |
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.5.1 | hmSecSNMPenableV3 | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.2 | hmSecSNMPenableV1 | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.3 | hmSecSNMPport | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.4 | hmSecSNMPv1ROCommunity | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.5 | hmSecSNMPv1RWCommunity | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.7 | hmSecSNMPTrapReceiverTable | 1 | 6 | |
| 1.3.6.1.4.1.248.51.5.8 | hmSecSNMPTrapConfigGroup | 11 | 11 |